#ifndef POLYGUN_ENGINE_CHUNK_RENDERER_HPP
#define POLYGUN_ENGINE_CHUNK_RENDERER_HPP

#include <glm/glm.hpp>
#include "chunk.hpp"
#include "../renderer/shader.hpp"
#include "../renderer/vertex_array.hpp"

namespace polygun::world {

    class ChunkRenderer {
    public:
        ChunkRenderer();
        ~ChunkRenderer();

        void init();
        void render(const glm::mat4& view, const glm::mat4& projection);

    private:
        unsigned int texture;
        renderer::Shader chunk_shader;
        renderer::VertexArray vertex_array;
    };

}

#endif //POLYGUN_ENGINE_CHUNK_RENDERER_HPP